Bug 176560 - graphics/jhead: Update to version 2.97
Summary: graphics/jhead: Update to version 2.97
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.67 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:11 UTC
- Update to version 2.97
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:13:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:04:02 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 06:40:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 06:40:29 UTC
Author: miwi
Date: Sat Mar  2 06:40:21 2013
New Revision: 313214
URL: http://svnweb.freebsd.org/changeset/ports/313214

Log:
  - Update to 2.97
  
  PR:		176560
  Submitted by:	Ports Fury

Modified:
  head/graphics/jhead/Makefile
  head/graphics/jhead/distinfo   (contents, props changed)

Modified: head/graphics/jhead/Makefile
==============================================================================
--- head/graphics/jhead/Makefile	Sat Mar  2 06:39:31 2013	(r313213)
+++ head/graphics/jhead/Makefile	Sat Mar  2 06:40:21 2013	(r313214)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	jhead
-PORTVERSION=	2.96
+PORTVERSION=	2.97
 CATEGORIES=	graphics
 MASTER_SITES=	http://www.sentex.net/~mwandel/jhead/
 
@@ -12,23 +12,23 @@ COMMENT=	Exif Jpeg camera setting parser
 RUN_DEPENDS=	jpegtran:${PORTSDIR}/graphics/jpeg
 
 MAKEFILE=	makefile
-
 MAKE_JOBS_SAFE=	yes
+
+MAN1=		jhead.1
 PORTDOCS=	usage.html
 PLIST_FILES=	bin/jhead
-MAN1=		jhead.1
 
 .include <bsd.port.options.mk>
 
 post-patch:
-	@${REINPLACE_CMD} -E '/^CFLAGS=/d' ${WRKSRC}/makefile
+	@${REINPLACE_CMD} -e 's|^CFLAGS|#CFLAGS|' ${WRKSRC}/makefile
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/jhead ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/jhead.1 ${PREFIX}/man/man1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} jhead ${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} jhead.1 ${MANPREFIX}/man/man1)
 .if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/usage.html ${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} usage.html ${DOCSDIR})
 .endif
 
 .include <bsd.port.mk>

Modified: head/graphics/jhead/distinfo
==============================================================================
--- head/graphics/jhead/distinfo	Sat Mar  2 06:39:31 2013	(r313213)
+++ head/graphics/jhead/distinfo	Sat Mar  2 06:40:21 2013	(r313214)
@@ -1,2 +1,2 @@
-SHA256 (jhead-2.96.tar.gz) = 9fadfe6ad285cac29f328eaa7bc646d7f713eef22a7e9a9fb5b098da0b7b37c4
-SIZE (jhead-2.96.tar.gz) = 66235
+SHA256 (jhead-2.97.tar.gz) = 04b55c5cd27882f631c2b25316803d8ac81c6d2408e6129ca47019c018324f17
+SIZE (jhead-2.97.tar.gz) = 68361
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"